"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SESClient_1 = require("./SESClient");
var CloneReceiptRuleSetCommand_1 = require("./commands/CloneReceiptRuleSetCommand");
var CreateConfigurationSetCommand_1 = require("./commands/CreateConfigurationSetCommand");
var CreateConfigurationSetEventDestinationCommand_1 = require("./commands/CreateConfigurationSetEventDestinationCommand");
var CreateConfigurationSetTrackingOptionsCommand_1 = require("./commands/CreateConfigurationSetTrackingOptionsCommand");
var CreateCustomVerificationEmailTemplateCommand_1 = require("./commands/CreateCustomVerificationEmailTemplateCommand");
var CreateReceiptFilterCommand_1 = require("./commands/CreateReceiptFilterCommand");
var CreateReceiptRuleCommand_1 = require("./commands/CreateReceiptRuleCommand");
var CreateReceiptRuleSetCommand_1 = require("./commands/CreateReceiptRuleSetCommand");
var CreateTemplateCommand_1 = require("./commands/CreateTemplateCommand");
var DeleteConfigurationSetCommand_1 = require("./commands/DeleteConfigurationSetCommand");
var DeleteConfigurationSetEventDestinationCommand_1 = require("./commands/DeleteConfigurationSetEventDestinationCommand");
var DeleteConfigurationSetTrackingOptionsCommand_1 = require("./commands/DeleteConfigurationSetTrackingOptionsCommand");
var DeleteCustomVerificationEmailTemplateCommand_1 = require("./commands/DeleteCustomVerificationEmailTemplateCommand");
var DeleteIdentityCommand_1 = require("./commands/DeleteIdentityCommand");
var DeleteIdentityPolicyCommand_1 = require("./commands/DeleteIdentityPolicyCommand");
var DeleteReceiptFilterCommand_1 = require("./commands/DeleteReceiptFilterCommand");
var DeleteReceiptRuleCommand_1 = require("./commands/DeleteReceiptRuleCommand");
var DeleteReceiptRuleSetCommand_1 = require("./commands/DeleteReceiptRuleSetCommand");
var DeleteTemplateCommand_1 = require("./commands/DeleteTemplateCommand");
var DeleteVerifiedEmailAddressCommand_1 = require("./commands/DeleteVerifiedEmailAddressCommand");
var DescribeActiveReceiptRuleSetCommand_1 = require("./commands/DescribeActiveReceiptRuleSetCommand");
var DescribeConfigurationSetCommand_1 = require("./commands/DescribeConfigurationSetCommand");
var DescribeReceiptRuleCommand_1 = require("./commands/DescribeReceiptRuleCommand");
var DescribeReceiptRuleSetCommand_1 = require("./commands/DescribeReceiptRuleSetCommand");
var GetAccountSendingEnabledCommand_1 = require("./commands/GetAccountSendingEnabledCommand");
var GetCustomVerificationEmailTemplateCommand_1 = require("./commands/GetCustomVerificationEmailTemplateCommand");
var GetIdentityDkimAttributesCommand_1 = require("./commands/GetIdentityDkimAttributesCommand");
var GetIdentityMailFromDomainAttributesCommand_1 = require("./commands/GetIdentityMailFromDomainAttributesCommand");
var GetIdentityNotificationAttributesCommand_1 = require("./commands/GetIdentityNotificationAttributesCommand");
var GetIdentityPoliciesCommand_1 = require("./commands/GetIdentityPoliciesCommand");
var GetIdentityVerificationAttributesCommand_1 = require("./commands/GetIdentityVerificationAttributesCommand");
var GetSendQuotaCommand_1 = require("./commands/GetSendQuotaCommand");
var GetSendStatisticsCommand_1 = require("./commands/GetSendStatisticsCommand");
var GetTemplateCommand_1 = require("./commands/GetTemplateCommand");
var ListConfigurationSetsCommand_1 = require("./commands/ListConfigurationSetsCommand");
var ListCustomVerificationEmailTemplatesCommand_1 = require("./commands/ListCustomVerificationEmailTemplatesCommand");
var ListIdentitiesCommand_1 = require("./commands/ListIdentitiesCommand");
var ListIdentityPoliciesCommand_1 = require("./commands/ListIdentityPoliciesCommand");
var ListReceiptFiltersCommand_1 = require("./commands/ListReceiptFiltersCommand");
var ListReceiptRuleSetsCommand_1 = require("./commands/ListReceiptRuleSetsCommand");
var ListTemplatesCommand_1 = require("./commands/ListTemplatesCommand");
var ListVerifiedEmailAddressesCommand_1 = require("./commands/ListVerifiedEmailAddressesCommand");
var PutConfigurationSetDeliveryOptionsCommand_1 = require("./commands/PutConfigurationSetDeliveryOptionsCommand");
var PutIdentityPolicyCommand_1 = require("./commands/PutIdentityPolicyCommand");
var ReorderReceiptRuleSetCommand_1 = require("./commands/ReorderReceiptRuleSetCommand");
var SendBounceCommand_1 = require("./commands/SendBounceCommand");
var SendBulkTemplatedEmailCommand_1 = require("./commands/SendBulkTemplatedEmailCommand");
var SendCustomVerificationEmailCommand_1 = require("./commands/SendCustomVerificationEmailCommand");
var SendEmailCommand_1 = require("./commands/SendEmailCommand");
var SendRawEmailCommand_1 = require("./commands/SendRawEmailCommand");
var SendTemplatedEmailCommand_1 = require("./commands/SendTemplatedEmailCommand");
var SetActiveReceiptRuleSetCommand_1 = require("./commands/SetActiveReceiptRuleSetCommand");
var SetIdentityDkimEnabledCommand_1 = require("./commands/SetIdentityDkimEnabledCommand");
var SetIdentityFeedbackForwardingEnabledCommand_1 = require("./commands/SetIdentityFeedbackForwardingEnabledCommand");
var SetIdentityHeadersInNotificationsEnabledCommand_1 = require("./commands/SetIdentityHeadersInNotificationsEnabledCommand");
var SetIdentityMailFromDomainCommand_1 = require("./commands/SetIdentityMailFromDomainCommand");
var SetIdentityNotificationTopicCommand_1 = require("./commands/SetIdentityNotificationTopicCommand");
var SetReceiptRulePositionCommand_1 = require("./commands/SetReceiptRulePositionCommand");
var TestRenderTemplateCommand_1 = require("./commands/TestRenderTemplateCommand");
var UpdateAccountSendingEnabledCommand_1 = require("./commands/UpdateAccountSendingEnabledCommand");
var UpdateConfigurationSetEventDestinationCommand_1 = require("./commands/UpdateConfigurationSetEventDestinationCommand");
var UpdateConfigurationSetReputationMetricsEnabledCommand_1 = require("./commands/UpdateConfigurationSetReputationMetricsEnabledCommand");
var UpdateConfigurationSetSendingEnabledCommand_1 = require("./commands/UpdateConfigurationSetSendingEnabledCommand");
var UpdateConfigurationSetTrackingOptionsCommand_1 = require("./commands/UpdateConfigurationSetTrackingOptionsCommand");
var UpdateCustomVerificationEmailTemplateCommand_1 = require("./commands/UpdateCustomVerificationEmailTemplateCommand");
var UpdateReceiptRuleCommand_1 = require("./commands/UpdateReceiptRuleCommand");
var UpdateTemplateCommand_1 = require("./commands/UpdateTemplateCommand");
var VerifyDomainDkimCommand_1 = require("./commands/VerifyDomainDkimCommand");
var VerifyDomainIdentityCommand_1 = require("./commands/VerifyDomainIdentityCommand");
var VerifyEmailAddressCommand_1 = require("./commands/VerifyEmailAddressCommand");
var VerifyEmailIdentityCommand_1 = require("./commands/VerifyEmailIdentityCommand");
var SES = /** @class */ (function (_super) {
    tslib_1.__extends(SES, _super);
    function SES() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SES.prototype.cloneReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CloneReceiptRuleSetCommand_1.CloneReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createConfigurationSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateConfigurationSetCommand_1.CreateConfigurationSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createConfigurationSetEventDestination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateConfigurationSetEventDestinationCommand_1.CreateConfigurationSetEventDestinationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createConfigurationSetTrackingOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateConfigurationSetTrackingOptionsCommand_1.CreateConfigurationSetTrackingOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createCustomVerificationEmailTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCustomVerificationEmailTemplateCommand_1.CreateCustomVerificationEmailTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createReceiptFilter = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReceiptFilterCommand_1.CreateReceiptFilterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createReceiptRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReceiptRuleCommand_1.CreateReceiptRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReceiptRuleSetCommand_1.CreateReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.createTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTemplateCommand_1.CreateTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteConfigurationSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConfigurationSetCommand_1.DeleteConfigurationSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteConfigurationSetEventDestination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConfigurationSetEventDestinationCommand_1.DeleteConfigurationSetEventDestinationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteConfigurationSetTrackingOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConfigurationSetTrackingOptionsCommand_1.DeleteConfigurationSetTrackingOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteCustomVerificationEmailTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCustomVerificationEmailTemplateCommand_1.DeleteCustomVerificationEmailTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteIdentity = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteIdentityCommand_1.DeleteIdentityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteIdentityPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteIdentityPolicyCommand_1.DeleteIdentityPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteReceiptFilter = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReceiptFilterCommand_1.DeleteReceiptFilterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteReceiptRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReceiptRuleCommand_1.DeleteReceiptRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReceiptRuleSetCommand_1.DeleteReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTemplateCommand_1.DeleteTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.deleteVerifiedEmailAddress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteVerifiedEmailAddressCommand_1.DeleteVerifiedEmailAddressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.describeActiveReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeActiveReceiptRuleSetCommand_1.DescribeActiveReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.describeConfigurationSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigurationSetCommand_1.DescribeConfigurationSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.describeReceiptRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReceiptRuleCommand_1.DescribeReceiptRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.describeReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReceiptRuleSetCommand_1.DescribeReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getAccountSendingEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAccountSendingEnabledCommand_1.GetAccountSendingEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getCustomVerificationEmailTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCustomVerificationEmailTemplateCommand_1.GetCustomVerificationEmailTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getIdentityDkimAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIdentityDkimAttributesCommand_1.GetIdentityDkimAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getIdentityMailFromDomainAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIdentityMailFromDomainAttributesCommand_1.GetIdentityMailFromDomainAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getIdentityNotificationAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIdentityNotificationAttributesCommand_1.GetIdentityNotificationAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getIdentityPolicies = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIdentityPoliciesCommand_1.GetIdentityPoliciesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getIdentityVerificationAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIdentityVerificationAttributesCommand_1.GetIdentityVerificationAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getSendQuota = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSendQuotaCommand_1.GetSendQuotaCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getSendStatistics = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSendStatisticsCommand_1.GetSendStatisticsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.getTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetTemplateCommand_1.GetTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listConfigurationSets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListConfigurationSetsCommand_1.ListConfigurationSetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listCustomVerificationEmailTemplates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListCustomVerificationEmailTemplatesCommand_1.ListCustomVerificationEmailTemplatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listIdentities = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListIdentitiesCommand_1.ListIdentitiesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listIdentityPolicies = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListIdentityPoliciesCommand_1.ListIdentityPoliciesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listReceiptFilters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListReceiptFiltersCommand_1.ListReceiptFiltersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listReceiptRuleSets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListReceiptRuleSetsCommand_1.ListReceiptRuleSetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listTemplates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTemplatesCommand_1.ListTemplatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.listVerifiedEmailAddresses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListVerifiedEmailAddressesCommand_1.ListVerifiedEmailAddressesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.putConfigurationSetDeliveryOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutConfigurationSetDeliveryOptionsCommand_1.PutConfigurationSetDeliveryOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.putIdentityPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutIdentityPolicyCommand_1.PutIdentityPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.reorderReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ReorderReceiptRuleSetCommand_1.ReorderReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.sendBounce = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SendBounceCommand_1.SendBounceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.sendBulkTemplatedEmail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SendBulkTemplatedEmailCommand_1.SendBulkTemplatedEmailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.sendCustomVerificationEmail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SendCustomVerificationEmailCommand_1.SendCustomVerificationEmailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.sendEmail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SendEmailCommand_1.SendEmailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.sendRawEmail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SendRawEmailCommand_1.SendRawEmailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.sendTemplatedEmail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SendTemplatedEmailCommand_1.SendTemplatedEmailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setActiveReceiptRuleSet = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetActiveReceiptRuleSetCommand_1.SetActiveReceiptRuleSetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setIdentityDkimEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetIdentityDkimEnabledCommand_1.SetIdentityDkimEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setIdentityFeedbackForwardingEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetIdentityFeedbackForwardingEnabledCommand_1.SetIdentityFeedbackForwardingEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setIdentityHeadersInNotificationsEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetIdentityHeadersInNotificationsEnabledCommand_1.SetIdentityHeadersInNotificationsEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setIdentityMailFromDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetIdentityMailFromDomainCommand_1.SetIdentityMailFromDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setIdentityNotificationTopic = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetIdentityNotificationTopicCommand_1.SetIdentityNotificationTopicCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.setReceiptRulePosition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetReceiptRulePositionCommand_1.SetReceiptRulePositionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.testRenderTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestRenderTemplateCommand_1.TestRenderTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateAccountSendingEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAccountSendingEnabledCommand_1.UpdateAccountSendingEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateConfigurationSetEventDestination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateConfigurationSetEventDestinationCommand_1.UpdateConfigurationSetEventDestinationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateConfigurationSetReputationMetricsEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateConfigurationSetReputationMetricsEnabledCommand_1.UpdateConfigurationSetReputationMetricsEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateConfigurationSetSendingEnabled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateConfigurationSetSendingEnabledCommand_1.UpdateConfigurationSetSendingEnabledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateConfigurationSetTrackingOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateConfigurationSetTrackingOptionsCommand_1.UpdateConfigurationSetTrackingOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateCustomVerificationEmailTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateCustomVerificationEmailTemplateCommand_1.UpdateCustomVerificationEmailTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateReceiptRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateReceiptRuleCommand_1.UpdateReceiptRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.updateTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateTemplateCommand_1.UpdateTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.verifyDomainDkim = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new VerifyDomainDkimCommand_1.VerifyDomainDkimCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.verifyDomainIdentity = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new VerifyDomainIdentityCommand_1.VerifyDomainIdentityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.verifyEmailAddress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new VerifyEmailAddressCommand_1.VerifyEmailAddressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SES.prototype.verifyEmailIdentity = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new VerifyEmailIdentityCommand_1.VerifyEmailIdentityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return SES;
}(SESClient_1.SESClient));
exports.SES = SES;
//# sourceMappingURL=SES.js.map