"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateConfigurationSet_1 = require("../model/operations/CreateConfigurationSet");
var CreateConfigurationSetCommand = /** @class */ (function () {
    function CreateConfigurationSetCommand(input) {
        this.input = input;
        this.model = CreateConfigurationSet_1.CreateConfigurationSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateConfigurationSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateConfigurationSetCommand;
}());
exports.CreateConfigurationSetCommand = CreateConfigurationSetCommand;
//# sourceMappingURL=CreateConfigurationSetCommand.js.map