"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateConfigurationSetTrackingOptions_1 = require("../model/operations/CreateConfigurationSetTrackingOptions");
var CreateConfigurationSetTrackingOptionsCommand = /** @class */ (function () {
    function CreateConfigurationSetTrackingOptionsCommand(input) {
        this.input = input;
        this.model = CreateConfigurationSetTrackingOptions_1.CreateConfigurationSetTrackingOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateConfigurationSetTrackingOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateConfigurationSetTrackingOptionsCommand;
}());
exports.CreateConfigurationSetTrackingOptionsCommand = CreateConfigurationSetTrackingOptionsCommand;
//# sourceMappingURL=CreateConfigurationSetTrackingOptionsCommand.js.map