"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReceiptRule_1 = require("../model/operations/CreateReceiptRule");
var CreateReceiptRuleCommand = /** @class */ (function () {
    function CreateReceiptRuleCommand(input) {
        this.input = input;
        this.model = CreateReceiptRule_1.CreateReceiptRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReceiptRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReceiptRuleCommand;
}());
exports.CreateReceiptRuleCommand = CreateReceiptRuleCommand;
//# sourceMappingURL=CreateReceiptRuleCommand.js.map