"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTemplate_1 = require("../model/operations/CreateTemplate");
var CreateTemplateCommand = /** @class */ (function () {
    function CreateTemplateCommand(input) {
        this.input = input;
        this.model = CreateTemplate_1.CreateTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTemplateCommand;
}());
exports.CreateTemplateCommand = CreateTemplateCommand;
//# sourceMappingURL=CreateTemplateCommand.js.map