"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteConfigurationSet_1 = require("../model/operations/DeleteConfigurationSet");
var DeleteConfigurationSetCommand = /** @class */ (function () {
    function DeleteConfigurationSetCommand(input) {
        this.input = input;
        this.model = DeleteConfigurationSet_1.DeleteConfigurationSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteConfigurationSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteConfigurationSetCommand;
}());
exports.DeleteConfigurationSetCommand = DeleteConfigurationSetCommand;
//# sourceMappingURL=DeleteConfigurationSetCommand.js.map