"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteConfigurationSetTrackingOptions_1 = require("../model/operations/DeleteConfigurationSetTrackingOptions");
var DeleteConfigurationSetTrackingOptionsCommand = /** @class */ (function () {
    function DeleteConfigurationSetTrackingOptionsCommand(input) {
        this.input = input;
        this.model = DeleteConfigurationSetTrackingOptions_1.DeleteConfigurationSetTrackingOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteConfigurationSetTrackingOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteConfigurationSetTrackingOptionsCommand;
}());
exports.DeleteConfigurationSetTrackingOptionsCommand = DeleteConfigurationSetTrackingOptionsCommand;
//# sourceMappingURL=DeleteConfigurationSetTrackingOptionsCommand.js.map