"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteIdentity_1 = require("../model/operations/DeleteIdentity");
var DeleteIdentityCommand = /** @class */ (function () {
    function DeleteIdentityCommand(input) {
        this.input = input;
        this.model = DeleteIdentity_1.DeleteIdentity;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteIdentityCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteIdentityCommand;
}());
exports.DeleteIdentityCommand = DeleteIdentityCommand;
//# sourceMappingURL=DeleteIdentityCommand.js.map