"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteIdentityPolicy_1 = require("../model/operations/DeleteIdentityPolicy");
var DeleteIdentityPolicyCommand = /** @class */ (function () {
    function DeleteIdentityPolicyCommand(input) {
        this.input = input;
        this.model = DeleteIdentityPolicy_1.DeleteIdentityPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteIdentityPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteIdentityPolicyCommand;
}());
exports.DeleteIdentityPolicyCommand = DeleteIdentityPolicyCommand;
//# sourceMappingURL=DeleteIdentityPolicyCommand.js.map