"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteReceiptRule_1 = require("../model/operations/DeleteReceiptRule");
var DeleteReceiptRuleCommand = /** @class */ (function () {
    function DeleteReceiptRuleCommand(input) {
        this.input = input;
        this.model = DeleteReceiptRule_1.DeleteReceiptRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteReceiptRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteReceiptRuleCommand;
}());
exports.DeleteReceiptRuleCommand = DeleteReceiptRuleCommand;
//# sourceMappingURL=DeleteReceiptRuleCommand.js.map