"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteTemplate_1 = require("../model/operations/DeleteTemplate");
var DeleteTemplateCommand = /** @class */ (function () {
    function DeleteTemplateCommand(input) {
        this.input = input;
        this.model = DeleteTemplate_1.DeleteTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteTemplateCommand;
}());
exports.DeleteTemplateCommand = DeleteTemplateCommand;
//# sourceMappingURL=DeleteTemplateCommand.js.map