"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigurationSet_1 = require("../model/operations/DescribeConfigurationSet");
var DescribeConfigurationSetCommand = /** @class */ (function () {
    function DescribeConfigurationSetCommand(input) {
        this.input = input;
        this.model = DescribeConfigurationSet_1.DescribeConfigurationSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigurationSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigurationSetCommand;
}());
exports.DescribeConfigurationSetCommand = DescribeConfigurationSetCommand;
//# sourceMappingURL=DescribeConfigurationSetCommand.js.map