"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReceiptRuleSet_1 = require("../model/operations/DescribeReceiptRuleSet");
var DescribeReceiptRuleSetCommand = /** @class */ (function () {
    function DescribeReceiptRuleSetCommand(input) {
        this.input = input;
        this.model = DescribeReceiptRuleSet_1.DescribeReceiptRuleSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReceiptRuleSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReceiptRuleSetCommand;
}());
exports.DescribeReceiptRuleSetCommand = DescribeReceiptRuleSetCommand;
//# sourceMappingURL=DescribeReceiptRuleSetCommand.js.map