"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAccountSendingEnabled_1 = require("../model/operations/GetAccountSendingEnabled");
var GetAccountSendingEnabledCommand = /** @class */ (function () {
    function GetAccountSendingEnabledCommand(input) {
        this.input = input;
        this.model = GetAccountSendingEnabled_1.GetAccountSendingEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAccountSendingEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAccountSendingEnabledCommand;
}());
exports.GetAccountSendingEnabledCommand = GetAccountSendingEnabledCommand;
//# sourceMappingURL=GetAccountSendingEnabledCommand.js.map