"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetTemplate_1 = require("../model/operations/GetTemplate");
var GetTemplateCommand = /** @class */ (function () {
    function GetTemplateCommand(input) {
        this.input = input;
        this.model = GetTemplate_1.GetTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetTemplateCommand;
}());
exports.GetTemplateCommand = GetTemplateCommand;
//# sourceMappingURL=GetTemplateCommand.js.map