"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListConfigurationSets_1 = require("../model/operations/ListConfigurationSets");
var ListConfigurationSetsCommand = /** @class */ (function () {
    function ListConfigurationSetsCommand(input) {
        this.input = input;
        this.model = ListConfigurationSets_1.ListConfigurationSets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListConfigurationSetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListConfigurationSetsCommand;
}());
exports.ListConfigurationSetsCommand = ListConfigurationSetsCommand;
//# sourceMappingURL=ListConfigurationSetsCommand.js.map