"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListIdentityPolicies_1 = require("../model/operations/ListIdentityPolicies");
var ListIdentityPoliciesCommand = /** @class */ (function () {
    function ListIdentityPoliciesCommand(input) {
        this.input = input;
        this.model = ListIdentityPolicies_1.ListIdentityPolicies;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListIdentityPoliciesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListIdentityPoliciesCommand;
}());
exports.ListIdentityPoliciesCommand = ListIdentityPoliciesCommand;
//# sourceMappingURL=ListIdentityPoliciesCommand.js.map