"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTemplates_1 = require("../model/operations/ListTemplates");
var ListTemplatesCommand = /** @class */ (function () {
    function ListTemplatesCommand(input) {
        this.input = input;
        this.model = ListTemplates_1.ListTemplates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTemplatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTemplatesCommand;
}());
exports.ListTemplatesCommand = ListTemplatesCommand;
//# sourceMappingURL=ListTemplatesCommand.js.map