"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListVerifiedEmailAddresses_1 = require("../model/operations/ListVerifiedEmailAddresses");
var ListVerifiedEmailAddressesCommand = /** @class */ (function () {
    function ListVerifiedEmailAddressesCommand(input) {
        this.input = input;
        this.model = ListVerifiedEmailAddresses_1.ListVerifiedEmailAddresses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListVerifiedEmailAddressesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListVerifiedEmailAddressesCommand;
}());
exports.ListVerifiedEmailAddressesCommand = ListVerifiedEmailAddressesCommand;
//# sourceMappingURL=ListVerifiedEmailAddressesCommand.js.map