"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutConfigurationSetDeliveryOptions_1 = require("../model/operations/PutConfigurationSetDeliveryOptions");
var PutConfigurationSetDeliveryOptionsCommand = /** @class */ (function () {
    function PutConfigurationSetDeliveryOptionsCommand(input) {
        this.input = input;
        this.model = PutConfigurationSetDeliveryOptions_1.PutConfigurationSetDeliveryOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutConfigurationSetDeliveryOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutConfigurationSetDeliveryOptionsCommand;
}());
exports.PutConfigurationSetDeliveryOptionsCommand = PutConfigurationSetDeliveryOptionsCommand;
//# sourceMappingURL=PutConfigurationSetDeliveryOptionsCommand.js.map