"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ReorderReceiptRuleSet_1 = require("../model/operations/ReorderReceiptRuleSet");
var ReorderReceiptRuleSetCommand = /** @class */ (function () {
    function ReorderReceiptRuleSetCommand(input) {
        this.input = input;
        this.model = ReorderReceiptRuleSet_1.ReorderReceiptRuleSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ReorderReceiptRuleSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ReorderReceiptRuleSetCommand;
}());
exports.ReorderReceiptRuleSetCommand = ReorderReceiptRuleSetCommand;
//# sourceMappingURL=ReorderReceiptRuleSetCommand.js.map