"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SendBounce_1 = require("../model/operations/SendBounce");
var SendBounceCommand = /** @class */ (function () {
    function SendBounceCommand(input) {
        this.input = input;
        this.model = SendBounce_1.SendBounce;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SendBounceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SendBounceCommand;
}());
exports.SendBounceCommand = SendBounceCommand;
//# sourceMappingURL=SendBounceCommand.js.map