"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SendBulkTemplatedEmail_1 = require("../model/operations/SendBulkTemplatedEmail");
var SendBulkTemplatedEmailCommand = /** @class */ (function () {
    function SendBulkTemplatedEmailCommand(input) {
        this.input = input;
        this.model = SendBulkTemplatedEmail_1.SendBulkTemplatedEmail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SendBulkTemplatedEmailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SendBulkTemplatedEmailCommand;
}());
exports.SendBulkTemplatedEmailCommand = SendBulkTemplatedEmailCommand;
//# sourceMappingURL=SendBulkTemplatedEmailCommand.js.map