"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SendCustomVerificationEmail_1 = require("../model/operations/SendCustomVerificationEmail");
var SendCustomVerificationEmailCommand = /** @class */ (function () {
    function SendCustomVerificationEmailCommand(input) {
        this.input = input;
        this.model = SendCustomVerificationEmail_1.SendCustomVerificationEmail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SendCustomVerificationEmailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SendCustomVerificationEmailCommand;
}());
exports.SendCustomVerificationEmailCommand = SendCustomVerificationEmailCommand;
//# sourceMappingURL=SendCustomVerificationEmailCommand.js.map