"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SendEmail_1 = require("../model/operations/SendEmail");
var SendEmailCommand = /** @class */ (function () {
    function SendEmailCommand(input) {
        this.input = input;
        this.model = SendEmail_1.SendEmail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SendEmailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SendEmailCommand;
}());
exports.SendEmailCommand = SendEmailCommand;
//# sourceMappingURL=SendEmailCommand.js.map