"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SendRawEmail_1 = require("../model/operations/SendRawEmail");
var SendRawEmailCommand = /** @class */ (function () {
    function SendRawEmailCommand(input) {
        this.input = input;
        this.model = SendRawEmail_1.SendRawEmail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SendRawEmailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SendRawEmailCommand;
}());
exports.SendRawEmailCommand = SendRawEmailCommand;
//# sourceMappingURL=SendRawEmailCommand.js.map