"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SendTemplatedEmail_1 = require("../model/operations/SendTemplatedEmail");
var SendTemplatedEmailCommand = /** @class */ (function () {
    function SendTemplatedEmailCommand(input) {
        this.input = input;
        this.model = SendTemplatedEmail_1.SendTemplatedEmail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SendTemplatedEmailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SendTemplatedEmailCommand;
}());
exports.SendTemplatedEmailCommand = SendTemplatedEmailCommand;
//# sourceMappingURL=SendTemplatedEmailCommand.js.map