"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetIdentityDkimEnabled_1 = require("../model/operations/SetIdentityDkimEnabled");
var SetIdentityDkimEnabledCommand = /** @class */ (function () {
    function SetIdentityDkimEnabledCommand(input) {
        this.input = input;
        this.model = SetIdentityDkimEnabled_1.SetIdentityDkimEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetIdentityDkimEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetIdentityDkimEnabledCommand;
}());
exports.SetIdentityDkimEnabledCommand = SetIdentityDkimEnabledCommand;
//# sourceMappingURL=SetIdentityDkimEnabledCommand.js.map