"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetIdentityFeedbackForwardingEnabled_1 = require("../model/operations/SetIdentityFeedbackForwardingEnabled");
var SetIdentityFeedbackForwardingEnabledCommand = /** @class */ (function () {
    function SetIdentityFeedbackForwardingEnabledCommand(input) {
        this.input = input;
        this.model = SetIdentityFeedbackForwardingEnabled_1.SetIdentityFeedbackForwardingEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetIdentityFeedbackForwardingEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetIdentityFeedbackForwardingEnabledCommand;
}());
exports.SetIdentityFeedbackForwardingEnabledCommand = SetIdentityFeedbackForwardingEnabledCommand;
//# sourceMappingURL=SetIdentityFeedbackForwardingEnabledCommand.js.map