"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetIdentityNotificationTopic_1 = require("../model/operations/SetIdentityNotificationTopic");
var SetIdentityNotificationTopicCommand = /** @class */ (function () {
    function SetIdentityNotificationTopicCommand(input) {
        this.input = input;
        this.model = SetIdentityNotificationTopic_1.SetIdentityNotificationTopic;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetIdentityNotificationTopicCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetIdentityNotificationTopicCommand;
}());
exports.SetIdentityNotificationTopicCommand = SetIdentityNotificationTopicCommand;
//# sourceMappingURL=SetIdentityNotificationTopicCommand.js.map