"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestRenderTemplate_1 = require("../model/operations/TestRenderTemplate");
var TestRenderTemplateCommand = /** @class */ (function () {
    function TestRenderTemplateCommand(input) {
        this.input = input;
        this.model = TestRenderTemplate_1.TestRenderTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestRenderTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestRenderTemplateCommand;
}());
exports.TestRenderTemplateCommand = TestRenderTemplateCommand;
//# sourceMappingURL=TestRenderTemplateCommand.js.map