"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateConfigurationSetTrackingOptions_1 = require("../model/operations/UpdateConfigurationSetTrackingOptions");
var UpdateConfigurationSetTrackingOptionsCommand = /** @class */ (function () {
    function UpdateConfigurationSetTrackingOptionsCommand(input) {
        this.input = input;
        this.model = UpdateConfigurationSetTrackingOptions_1.UpdateConfigurationSetTrackingOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateConfigurationSetTrackingOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateConfigurationSetTrackingOptionsCommand;
}());
exports.UpdateConfigurationSetTrackingOptionsCommand = UpdateConfigurationSetTrackingOptionsCommand;
//# sourceMappingURL=UpdateConfigurationSetTrackingOptionsCommand.js.map