"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTemplate_1 = require("../model/operations/UpdateTemplate");
var UpdateTemplateCommand = /** @class */ (function () {
    function UpdateTemplateCommand(input) {
        this.input = input;
        this.model = UpdateTemplate_1.UpdateTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTemplateCommand;
}());
exports.UpdateTemplateCommand = UpdateTemplateCommand;
//# sourceMappingURL=UpdateTemplateCommand.js.map