"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var VerifyDomainDkim_1 = require("../model/operations/VerifyDomainDkim");
var VerifyDomainDkimCommand = /** @class */ (function () {
    function VerifyDomainDkimCommand(input) {
        this.input = input;
        this.model = VerifyDomainDkim_1.VerifyDomainDkim;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    VerifyDomainDkimCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return VerifyDomainDkimCommand;
}());
exports.VerifyDomainDkimCommand = VerifyDomainDkimCommand;
//# sourceMappingURL=VerifyDomainDkimCommand.js.map