"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var VerifyDomainIdentity_1 = require("../model/operations/VerifyDomainIdentity");
var VerifyDomainIdentityCommand = /** @class */ (function () {
    function VerifyDomainIdentityCommand(input) {
        this.input = input;
        this.model = VerifyDomainIdentity_1.VerifyDomainIdentity;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    VerifyDomainIdentityCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return VerifyDomainIdentityCommand;
}());
exports.VerifyDomainIdentityCommand = VerifyDomainIdentityCommand;
//# sourceMappingURL=VerifyDomainIdentityCommand.js.map