"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var VerifyEmailAddress_1 = require("../model/operations/VerifyEmailAddress");
var VerifyEmailAddressCommand = /** @class */ (function () {
    function VerifyEmailAddressCommand(input) {
        this.input = input;
        this.model = VerifyEmailAddress_1.VerifyEmailAddress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    VerifyEmailAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return VerifyEmailAddressCommand;
}());
exports.VerifyEmailAddressCommand = VerifyEmailAddressCommand;
//# sourceMappingURL=VerifyEmailAddressCommand.js.map