"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var VerifyEmailIdentity_1 = require("../model/operations/VerifyEmailIdentity");
var VerifyEmailIdentityCommand = /** @class */ (function () {
    function VerifyEmailIdentityCommand(input) {
        this.input = input;
        this.model = VerifyEmailIdentity_1.VerifyEmailIdentity;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    VerifyEmailIdentityCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return VerifyEmailIdentityCommand;
}());
exports.VerifyEmailIdentityCommand = VerifyEmailIdentityCommand;
//# sourceMappingURL=VerifyEmailIdentityCommand.js.map