"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CloneReceiptRuleSetInput_1 = require("../shapes/CloneReceiptRuleSetInput");
var CloneReceiptRuleSetOutput_1 = require("../shapes/CloneReceiptRuleSetOutput");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var AlreadyExistsException_1 = require("../shapes/AlreadyExistsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CloneReceiptRuleSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CloneReceiptRuleSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CloneReceiptRuleSetInput_1.CloneReceiptRuleSetInput
    },
    output: {
        shape: CloneReceiptRuleSetOutput_1.CloneReceiptRuleSetOutput,
        resultWrapper: "CloneReceiptRuleSetResult"
    },
    errors: [
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        },
        {
            shape: AlreadyExistsException_1.AlreadyExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CloneReceiptRuleSet.js.map