"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateConfigurationSetInput_1 = require("../shapes/CreateConfigurationSetInput");
var CreateConfigurationSetOutput_1 = require("../shapes/CreateConfigurationSetOutput");
var ConfigurationSetAlreadyExistsException_1 = require("../shapes/ConfigurationSetAlreadyExistsException");
var InvalidConfigurationSetException_1 = require("../shapes/InvalidConfigurationSetException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateConfigurationSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateConfigurationSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateConfigurationSetInput_1.CreateConfigurationSetInput
    },
    output: {
        shape: CreateConfigurationSetOutput_1.CreateConfigurationSetOutput,
        resultWrapper: "CreateConfigurationSetResult"
    },
    errors: [
        {
            shape: ConfigurationSetAlreadyExistsException_1.ConfigurationSetAlreadyExistsException
        },
        {
            shape: InvalidConfigurationSetException_1.InvalidConfigurationSetException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateConfigurationSet.js.map