"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateConfigurationSetEventDestinationInput_1 = require("../shapes/CreateConfigurationSetEventDestinationInput");
var CreateConfigurationSetEventDestinationOutput_1 = require("../shapes/CreateConfigurationSetEventDestinationOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var EventDestinationAlreadyExistsException_1 = require("../shapes/EventDestinationAlreadyExistsException");
var InvalidCloudWatchDestinationException_1 = require("../shapes/InvalidCloudWatchDestinationException");
var InvalidFirehoseDestinationException_1 = require("../shapes/InvalidFirehoseDestinationException");
var InvalidSNSDestinationException_1 = require("../shapes/InvalidSNSDestinationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateConfigurationSetEventDestination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateConfigurationSetEventDestination",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateConfigurationSetEventDestinationInput_1.CreateConfigurationSetEventDestinationInput
    },
    output: {
        shape: CreateConfigurationSetEventDestinationOutput_1.CreateConfigurationSetEventDestinationOutput,
        resultWrapper: "CreateConfigurationSetEventDestinationResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: EventDestinationAlreadyExistsException_1.EventDestinationAlreadyExistsException
        },
        {
            shape: InvalidCloudWatchDestinationException_1.InvalidCloudWatchDestinationException
        },
        {
            shape: InvalidFirehoseDestinationException_1.InvalidFirehoseDestinationException
        },
        {
            shape: InvalidSNSDestinationException_1.InvalidSNSDestinationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateConfigurationSetEventDestination.js.map