"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateReceiptRuleInput_1 = require("../shapes/CreateReceiptRuleInput");
var CreateReceiptRuleOutput_1 = require("../shapes/CreateReceiptRuleOutput");
var InvalidSnsTopicException_1 = require("../shapes/InvalidSnsTopicException");
var InvalidS3ConfigurationException_1 = require("../shapes/InvalidS3ConfigurationException");
var InvalidLambdaFunctionException_1 = require("../shapes/InvalidLambdaFunctionException");
var AlreadyExistsException_1 = require("../shapes/AlreadyExistsException");
var RuleDoesNotExistException_1 = require("../shapes/RuleDoesNotExistException");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateReceiptRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateReceiptRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateReceiptRuleInput_1.CreateReceiptRuleInput
    },
    output: {
        shape: CreateReceiptRuleOutput_1.CreateReceiptRuleOutput,
        resultWrapper: "CreateReceiptRuleResult"
    },
    errors: [
        {
            shape: InvalidSnsTopicException_1.InvalidSnsTopicException
        },
        {
            shape: InvalidS3ConfigurationException_1.InvalidS3ConfigurationException
        },
        {
            shape: InvalidLambdaFunctionException_1.InvalidLambdaFunctionException
        },
        {
            shape: AlreadyExistsException_1.AlreadyExistsException
        },
        {
            shape: RuleDoesNotExistException_1.RuleDoesNotExistException
        },
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateReceiptRule.js.map