"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTemplateInput_1 = require("../shapes/CreateTemplateInput");
var CreateTemplateOutput_1 = require("../shapes/CreateTemplateOutput");
var AlreadyExistsException_1 = require("../shapes/AlreadyExistsException");
var InvalidTemplateException_1 = require("../shapes/InvalidTemplateException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTemplateInput_1.CreateTemplateInput
    },
    output: {
        shape: CreateTemplateOutput_1.CreateTemplateOutput,
        resultWrapper: "CreateTemplateResult"
    },
    errors: [
        {
            shape: AlreadyExistsException_1.AlreadyExistsException
        },
        {
            shape: InvalidTemplateException_1.InvalidTemplateException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateTemplate.js.map