"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SendBulkTemplatedEmailInput_1 = require("../shapes/SendBulkTemplatedEmailInput");
var SendBulkTemplatedEmailOutput_1 = require("../shapes/SendBulkTemplatedEmailOutput");
var MessageRejected_1 = require("../shapes/MessageRejected");
var MailFromDomainNotVerifiedException_1 = require("../shapes/MailFromDomainNotVerifiedException");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var TemplateDoesNotExistException_1 = require("../shapes/TemplateDoesNotExistException");
var ConfigurationSetSendingPausedException_1 = require("../shapes/ConfigurationSetSendingPausedException");
var AccountSendingPausedException_1 = require("../shapes/AccountSendingPausedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SendBulkTemplatedEmail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SendBulkTemplatedEmail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SendBulkTemplatedEmailInput_1.SendBulkTemplatedEmailInput
    },
    output: {
        shape: SendBulkTemplatedEmailOutput_1.SendBulkTemplatedEmailOutput,
        resultWrapper: "SendBulkTemplatedEmailResult"
    },
    errors: [
        {
            shape: MessageRejected_1.MessageRejected
        },
        {
            shape: MailFromDomainNotVerifiedException_1.MailFromDomainNotVerifiedException
        },
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: TemplateDoesNotExistException_1.TemplateDoesNotExistException
        },
        {
            shape: ConfigurationSetSendingPausedException_1.ConfigurationSetSendingPausedException
        },
        {
            shape: AccountSendingPausedException_1.AccountSendingPausedException
        }
    ]
};
//# sourceMappingURL=SendBulkTemplatedEmail.js.map