"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SendCustomVerificationEmailInput_1 = require("../shapes/SendCustomVerificationEmailInput");
var SendCustomVerificationEmailOutput_1 = require("../shapes/SendCustomVerificationEmailOutput");
var MessageRejected_1 = require("../shapes/MessageRejected");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var CustomVerificationEmailTemplateDoesNotExistException_1 = require("../shapes/CustomVerificationEmailTemplateDoesNotExistException");
var FromEmailAddressNotVerifiedException_1 = require("../shapes/FromEmailAddressNotVerifiedException");
var ProductionAccessNotGrantedException_1 = require("../shapes/ProductionAccessNotGrantedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SendCustomVerificationEmail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SendCustomVerificationEmail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SendCustomVerificationEmailInput_1.SendCustomVerificationEmailInput
    },
    output: {
        shape: SendCustomVerificationEmailOutput_1.SendCustomVerificationEmailOutput,
        resultWrapper: "SendCustomVerificationEmailResult"
    },
    errors: [
        {
            shape: MessageRejected_1.MessageRejected
        },
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: CustomVerificationEmailTemplateDoesNotExistException_1.CustomVerificationEmailTemplateDoesNotExistException
        },
        {
            shape: FromEmailAddressNotVerifiedException_1.FromEmailAddressNotVerifiedException
        },
        {
            shape: ProductionAccessNotGrantedException_1.ProductionAccessNotGrantedException
        }
    ]
};
//# sourceMappingURL=SendCustomVerificationEmail.js.map