"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SendEmailInput_1 = require("../shapes/SendEmailInput");
var SendEmailOutput_1 = require("../shapes/SendEmailOutput");
var MessageRejected_1 = require("../shapes/MessageRejected");
var MailFromDomainNotVerifiedException_1 = require("../shapes/MailFromDomainNotVerifiedException");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var ConfigurationSetSendingPausedException_1 = require("../shapes/ConfigurationSetSendingPausedException");
var AccountSendingPausedException_1 = require("../shapes/AccountSendingPausedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SendEmail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SendEmail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SendEmailInput_1.SendEmailInput
    },
    output: {
        shape: SendEmailOutput_1.SendEmailOutput,
        resultWrapper: "SendEmailResult"
    },
    errors: [
        {
            shape: MessageRejected_1.MessageRejected
        },
        {
            shape: MailFromDomainNotVerifiedException_1.MailFromDomainNotVerifiedException
        },
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: ConfigurationSetSendingPausedException_1.ConfigurationSetSendingPausedException
        },
        {
            shape: AccountSendingPausedException_1.AccountSendingPausedException
        }
    ]
};
//# sourceMappingURL=SendEmail.js.map