"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SendRawEmailInput_1 = require("../shapes/SendRawEmailInput");
var SendRawEmailOutput_1 = require("../shapes/SendRawEmailOutput");
var MessageRejected_1 = require("../shapes/MessageRejected");
var MailFromDomainNotVerifiedException_1 = require("../shapes/MailFromDomainNotVerifiedException");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var ConfigurationSetSendingPausedException_1 = require("../shapes/ConfigurationSetSendingPausedException");
var AccountSendingPausedException_1 = require("../shapes/AccountSendingPausedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SendRawEmail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SendRawEmail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SendRawEmailInput_1.SendRawEmailInput
    },
    output: {
        shape: SendRawEmailOutput_1.SendRawEmailOutput,
        resultWrapper: "SendRawEmailResult"
    },
    errors: [
        {
            shape: MessageRejected_1.MessageRejected
        },
        {
            shape: MailFromDomainNotVerifiedException_1.MailFromDomainNotVerifiedException
        },
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: ConfigurationSetSendingPausedException_1.ConfigurationSetSendingPausedException
        },
        {
            shape: AccountSendingPausedException_1.AccountSendingPausedException
        }
    ]
};
//# sourceMappingURL=SendRawEmail.js.map