"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SendTemplatedEmailInput_1 = require("../shapes/SendTemplatedEmailInput");
var SendTemplatedEmailOutput_1 = require("../shapes/SendTemplatedEmailOutput");
var MessageRejected_1 = require("../shapes/MessageRejected");
var MailFromDomainNotVerifiedException_1 = require("../shapes/MailFromDomainNotVerifiedException");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var TemplateDoesNotExistException_1 = require("../shapes/TemplateDoesNotExistException");
var ConfigurationSetSendingPausedException_1 = require("../shapes/ConfigurationSetSendingPausedException");
var AccountSendingPausedException_1 = require("../shapes/AccountSendingPausedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SendTemplatedEmail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SendTemplatedEmail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SendTemplatedEmailInput_1.SendTemplatedEmailInput
    },
    output: {
        shape: SendTemplatedEmailOutput_1.SendTemplatedEmailOutput,
        resultWrapper: "SendTemplatedEmailResult"
    },
    errors: [
        {
            shape: MessageRejected_1.MessageRejected
        },
        {
            shape: MailFromDomainNotVerifiedException_1.MailFromDomainNotVerifiedException
        },
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: TemplateDoesNotExistException_1.TemplateDoesNotExistException
        },
        {
            shape: ConfigurationSetSendingPausedException_1.ConfigurationSetSendingPausedException
        },
        {
            shape: AccountSendingPausedException_1.AccountSendingPausedException
        }
    ]
};
//# sourceMappingURL=SendTemplatedEmail.js.map