"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TestRenderTemplateInput_1 = require("../shapes/TestRenderTemplateInput");
var TestRenderTemplateOutput_1 = require("../shapes/TestRenderTemplateOutput");
var TemplateDoesNotExistException_1 = require("../shapes/TemplateDoesNotExistException");
var InvalidRenderingParameterException_1 = require("../shapes/InvalidRenderingParameterException");
var MissingRenderingAttributeException_1 = require("../shapes/MissingRenderingAttributeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestRenderTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestRenderTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TestRenderTemplateInput_1.TestRenderTemplateInput
    },
    output: {
        shape: TestRenderTemplateOutput_1.TestRenderTemplateOutput,
        resultWrapper: "TestRenderTemplateResult"
    },
    errors: [
        {
            shape: TemplateDoesNotExistException_1.TemplateDoesNotExistException
        },
        {
            shape: InvalidRenderingParameterException_1.InvalidRenderingParameterException
        },
        {
            shape: MissingRenderingAttributeException_1.MissingRenderingAttributeException
        }
    ]
};
//# sourceMappingURL=TestRenderTemplate.js.map