"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateConfigurationSetEventDestinationInput_1 = require("../shapes/UpdateConfigurationSetEventDestinationInput");
var UpdateConfigurationSetEventDestinationOutput_1 = require("../shapes/UpdateConfigurationSetEventDestinationOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var EventDestinationDoesNotExistException_1 = require("../shapes/EventDestinationDoesNotExistException");
var InvalidCloudWatchDestinationException_1 = require("../shapes/InvalidCloudWatchDestinationException");
var InvalidFirehoseDestinationException_1 = require("../shapes/InvalidFirehoseDestinationException");
var InvalidSNSDestinationException_1 = require("../shapes/InvalidSNSDestinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateConfigurationSetEventDestination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateConfigurationSetEventDestination",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateConfigurationSetEventDestinationInput_1.UpdateConfigurationSetEventDestinationInput
    },
    output: {
        shape: UpdateConfigurationSetEventDestinationOutput_1.UpdateConfigurationSetEventDestinationOutput,
        resultWrapper: "UpdateConfigurationSetEventDestinationResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: EventDestinationDoesNotExistException_1.EventDestinationDoesNotExistException
        },
        {
            shape: InvalidCloudWatchDestinationException_1.InvalidCloudWatchDestinationException
        },
        {
            shape: InvalidFirehoseDestinationException_1.InvalidFirehoseDestinationException
        },
        {
            shape: InvalidSNSDestinationException_1.InvalidSNSDestinationException
        }
    ]
};
//# sourceMappingURL=UpdateConfigurationSetEventDestination.js.map