"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateReceiptRuleInput_1 = require("../shapes/UpdateReceiptRuleInput");
var UpdateReceiptRuleOutput_1 = require("../shapes/UpdateReceiptRuleOutput");
var InvalidSnsTopicException_1 = require("../shapes/InvalidSnsTopicException");
var InvalidS3ConfigurationException_1 = require("../shapes/InvalidS3ConfigurationException");
var InvalidLambdaFunctionException_1 = require("../shapes/InvalidLambdaFunctionException");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var RuleDoesNotExistException_1 = require("../shapes/RuleDoesNotExistException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateReceiptRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateReceiptRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateReceiptRuleInput_1.UpdateReceiptRuleInput
    },
    output: {
        shape: UpdateReceiptRuleOutput_1.UpdateReceiptRuleOutput,
        resultWrapper: "UpdateReceiptRuleResult"
    },
    errors: [
        {
            shape: InvalidSnsTopicException_1.InvalidSnsTopicException
        },
        {
            shape: InvalidS3ConfigurationException_1.InvalidS3ConfigurationException
        },
        {
            shape: InvalidLambdaFunctionException_1.InvalidLambdaFunctionException
        },
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        },
        {
            shape: RuleDoesNotExistException_1.RuleDoesNotExistException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=UpdateReceiptRule.js.map