"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SESClient_1 = require("../../SESClient");
var ListIdentitiesCommand_1 = require("../../commands/ListIdentitiesCommand");
var VerifyEmailIdentityCommand_1 = require("../../commands/VerifyEmailIdentityCommand");
describe("@aws-sdk/client-ses-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListIdentities should succeed when given correct input", function (done) {
        var client = new SESClient_1.SESClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listIdentities = new ListIdentitiesCommand_1.ListIdentitiesCommand({});
        client
            .send(listIdentities)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("VerifyEmailIdentity should fail when given bad input", function (done) {
        var client = new SESClient_1.SESClient({
            region: defaultRegion,
            credentials: credentials
        });
        var verifyEmailIdentity = new VerifyEmailIdentityCommand_1.VerifyEmailIdentityCommand({
            EmailAddress: "fake_email"
        });
        client
            .send(verifyEmailIdentity)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map