import { BrowserHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents a request to send a custom verification email to a specified recipient.</p>
 */
export interface SendCustomVerificationEmailInput {
    /**
     * <p>The email address to verify.</p>
     */
    EmailAddress: string;
    /**
     * <p>The name of the custom verification email template to use when sending the verification email.</p>
     */
    TemplateName: string;
    /**
     * <p>Name of a configuration set to use when sending the verification email.</p>
     */
    ConfigurationSetName?: string;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
