/**
 * <p>A domain that is used to redirect email recipients to an Amazon SES-operated domain. This domain captures open and click events generated by Amazon SES emails.</p> <p>For more information, see <a href="https://docs.aws.amazon.com/ses/latest/DeveloperGuide/configure-custom-open-click-domains.html">Configuring Custom Domains to Handle Open and Click Tracking</a> in the <i>Amazon SES Developer Guide</i>.</p>
 */
export interface _TrackingOptions {
    /**
     * <p>The custom subdomain that will be used to redirect email recipients to the Amazon SES event tracking domain.</p>
     */
    CustomRedirectDomain?: string;
}
export declare type _UnmarshalledTrackingOptions = _TrackingOptions;
